# gtt

### upgrading from < 1.5.* to 1.6.*

Starting with version `1.6` the local configuration file will extend the global configuration by default. If you
don't want this behaviour, make sure to use `extend: false` in your local config.

### upgrading from 0.*

I built gtt originally in PHP because I'm a PHP dev and I chose the language I'm most familiar 
with to create a quick and dirty prototype. After some consideration I rebuilt everything from 
scratch for node.js. Follow these steps to upgrade:

```
# 1. remove the old version entirely
composer global remove kriskbx/gitlab-time-tracker

# 2. install the new version
# using yarn
yarn global add gitlab-time-tracker --prefix /usr/local

# using npm
npm install -g gitlab-time-tracker

# 3. edit your configuration and update the date format
# format options: http://momentjs.com/docs/#/displaying/format/
gtt edit

# 4. the columns option is now split into 3 options for different parts of
# the report: issueColumns, mergeRequestColumns and recordColumns
# there's also a userColumns option that adds a column for each user
# with total time spent. please update your config accordingly
```